Bug 203782 - devel/gdb: Enable KGDB by default
Summary: devel/gdb: Enable KGDB by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Baldwin
URL:
Keywords: easy, feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-14 21:22 UTC by John Baldwin
Modified: 2015-10-16 22:44 UTC (History)
4 users (show)

See Also:
luca.pizzamiglio: maintainer-feedback+


Attachments
enable_kgdb (623 bytes, patch)
2015-10-14 21:22 UTC, John Baldwin
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Baldwin freebsd_committer freebsd_triage 2015-10-14 21:22:22 UTC
Created attachment 162056 [details]
enable_kgdb

Just today I ran into a case where I would have liked to have been able to just do 'pkg install gdb' and get newer kgdb.  For my personal machines using powderkeg I can enable it easily enough, but for debugging on someone else's machines using pkg.freebsd.org it would be really nice for this to Just Work(tm).  Unfortunately kgdb can't be split out easily into a new port, so I'd like to just enable KGDB by default.  (We eventually want to do this anyway before we can remove ancient gdb from the base system.)
Comment 1 Ed Maste freebsd_committer 2015-10-14 21:28:37 UTC
I like this idea.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-15 05:46:40 UTC
Reporter is committer, assign accordingly.

John, im happy to provide commit approval (ports) if you dont have a bit, just let me know.
Comment 3 luca.pizzamiglio 2015-10-15 14:18:51 UTC
Approved!
Comment 4 commit-hook freebsd_committer 2015-10-16 22:44:16 UTC
A commit references this bug:

Author: jhb
Date: Fri Oct 16 22:43:21 UTC 2015
New revision: 399525
URL: https://svnweb.freebsd.org/changeset/ports/399525

Log:
  Enable KGDB by default.

  PR:		203782
  Approved by:	luca.pizzamiglio@gmail.com (maintainer), koobs

Changes:
  head/devel/gdb/Makefile